#pragma once
#include"pch.h"
#include "ZZ_Types.h"
using namespace std;
using namespace ZZ_MISCDEF::ZZ_RUNPARAMS;
class Scheduler :public QObject
{
	Q_OBJECT
public:
	Scheduler(QObject* parent = nullptr);
	~Scheduler();
private:
	int m_iFlagIsOnRestart;
	QTimer *m_GrabTimer;
	AcqTimeSettings     m_struAcqTime;
private:
	void StartAsPlanned();
public:
	void SetAcqTimeParams(AcqTimeSettings  struAcqTime);
	void Preheating();
	void SelfStart();
public slots:
	int OnTimeCounter();
signals:
	void SignalGrabOnce();
	void SignalSelfStart();
};